package capitulo05.bloque05.ejercicio03;

public class FabricaVehiculos {
    public static Vehiculo crearVehiculo(String tipo) {
        if (tipo.equalsIgnoreCase("Coche")) {
            return new Coche();
        } else if (tipo.equalsIgnoreCase("Moto")) {
            return new Moto();
        }
        return null;
    }
}
